//*****************************************************************************
//
// spi.h - SimpleLink Driver code
//
// Copyright (c) 2009-2010 Texas Instruments Incorporated.  All rights reserved.
// Software License Agreement
// 
// Texas Instruments (TI) is supplying this software for use solely and
// exclusively on TI's microcontroller products. The software is owned by
// TI and/or its suppliers, and is protected under applicable copyright
// laws. You may not combine this software with "viral" open-source
// software in order to form a larger program.
// 
// THIS SOFTWARE IS PROVIDED "AS IS" AND WITH ALL FAULTS.
// NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT
// NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
// A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. TI SHALL NOT, UNDER ANY
// CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR CONSEQUENTIAL
// DAMAGES, FOR ANY REASON WHATSOEVER.
// 
//*****************************************************************************
#ifndef __BOARD_SPI_H__
#define __BOARD_SPI_H__

#define SPI_VERSION_NUMBER   1
/* SPI RX and TX Buffer size */
#define SPI_BUFFER_SIZE         1700

//*****************************************************************************
//
// If building with a C++ compiler, make all of the definitions in this header
// have a C binding.
//
//*****************************************************************************
#ifdef  __cplusplus
extern "C" {
#endif

#if defined(USE_EM_HEADER)

#define SYSCTL_PERIPH_IRQ_PORT		SYSCTL_PERIPH_GPIOC
#define SPI_GPIO_IRQ_BASE			GPIO_PORTC_BASE	
#define INT_GPIO_SPI				INT_GPIOC	
	
#define SPI_PORT					GPIO_PORTH_BASE
#define SPI_CS_PIN               	GPIO_PIN_1
#define SYSCTL_PERIPH_SPI_PORT		SYSCTL_PERIPH_GPIOH
	
#else
	
#define SYSCTL_PERIPH_IRQ_PORT		SYSCTL_PERIPH_GPIOA	
#define SPI_GPIO_IRQ_BASE			GPIO_PORTA_BASE	
#define INT_GPIO_SPI				INT_GPIOA	
	
#define SPI_PORT					GPIO_PORTA_BASE
#define SPI_CS_PIN               	GPIO_PIN_3
#define SYSCTL_PERIPH_SPI_PORT		SYSCTL_PERIPH_GPIOA
	
#endif
//
// SPI IRQ and EN  PIN defines 
//	
#define SPI_IRQ_PIN					GPIO_PIN_7
#define SPI_EN_PIN					GPIO_PIN_6

//*****************************************************************************
//
// Mark the end of the C bindings section for C++ compilers.
//
//*****************************************************************************
#ifdef  __cplusplus
}
#endif // __cplusplus

#endif

